Skip to main content
`Ctrl`+`K`

# KSPConvergedReasonViewSet

Sets an ADDITIONAL function that is to be used at the end of the linear solver to display the convergence reason of the linear solver.

## Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPConvergedReasonViewSet(KSP ksp, KSPConvergedReasonViewFn *f, PetscCtx ctx, PetscCtxDestroyFn *reasonviewdestroy)

Logically Collective

## Input Parameters

- ksp - the `KSP` context

- f - the `ksp` converged reason view function, see `KSPConvergedReasonViewFn`

- ctx - [optional] context for private data for the `KSPConvergedReason` view routine (use `NULL` if context is not needed)

- reasonviewdestroy - [optional] routine that frees `ctx` (may be `NULL`), see `PetscCtxDestroyFn` for the calling sequence

## Options Database Keys

- -ksp_converged_reason - sets a default `KSPConvergedReasonView()`

- -ksp_converged_reason_view_cancel - cancels all converged reason viewers that have been hardwired into a code by calls to `KSPConvergedReasonViewSet()`, but does not cancel those set via the options database.

## Note

Several different converged reason view routines may be set by calling `KSPConvergedReasonViewSet()` multiple times; all will be called in the order in which they were set.

## Developer Note

Should be named KSPConvergedReasonViewAdd().

## See Also

KSP: Linear System Solvers, `KSPConvergedReasonView()`, `KSPConvergedReasonViewFn`, `KSPConvergedReasonViewCancel()`, `PetscCtxDestroyFn`

## Level

intermediate

## Location

src/ksp/ksp/interface/itfunc.c

## Examples

src/snes/tutorials/ex6.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages